Class | Net::IMAP::BodyTypeMessage
In: | net/imap.rb
Parent: | Struct.new(:media_type, :subtype, :param, :content_id, :description, :encoding, :size, :envelope, :body, :lines, :md5, :disposition, :language, :extension)

Net::IMAP::BodyTypeMessage represents MESSAGE/RFC822 body structures of messages.

#### Fields:

envelope: | Returns a Net::IMAP::Envelope giving the envelope structure.
body: | Returns an object giving the body structure.

And Net::IMAP::BodyTypeMessage has all methods of Net::IMAP::BodyTypeText.

### Methods

media_subtype multipart?

### Public Instance methods

media_subtype()

Obsolete: use `subtype` instead. Calling this will generate a warning message to `stderr`, then return the value of `subtype`.

[Source]

    # File net/imap.rb, line 1802
          def media_subtype
            $stderr.printf("warning: media_subtype is obsolete.\n")
            $stderr.printf("         use subtype instead.\n")
            return subtype
          end

multipart?()

[Source]

    # File net/imap.rb, line 1795
          def multipart?
            return false
          end

[Validate]